//+------------------------------------------------------------------+
//|                                                        Lexx .mq4 |
//|                                                     LexxSakhalin |
//|                                 /  5       |
//+------------------------------------------------------------------+
#property copyright "LexxSakhalin"
#property link      ""


//---- input parameters
extern double     Lot= 0.1;
extern double     SL= 50;
extern double     CCIBuyLevel = -100;
extern double     CCISellLevel = 100; 
extern double     CCIMove = 20; //      CCIBuyLevel  CCISellLevel


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//PrewTrend -  , NowTrend -  
//Total - -  , NowOrder -  (1-) 
   double PrewTrend, NowTrend, Move, Total, NowOrder, Tiket, Move1=0, Move2=0, Move3=0, Move4=0;
   PrewTrend = iCCI(NULL, 0, 50, PRICE_TYPICAL, 1);
   NowTrend = iCCI(NULL, 0, 50, PRICE_TYPICAL, 0); 
   if (PrewTrend < CCIBuyLevel && NowTrend > CCIBuyLevel) Move1= 1; //  
   if (PrewTrend > CCISellLevel && NowTrend < CCISellLevel) Move2 = 1;//  
   if (PrewTrend < CCIBuyLevel-CCIMove && NowTrend > CCIBuyLevel-CCIMove) Move3 = 1; //   
   if (PrewTrend > CCISellLevel+CCIMove && NowTrend < CCISellLevel+CCIMove) Move4 = 1;//   
   
   Total = OrdersTotal();
      
   if (Total < 1)//  -   
   {     
      if (Move1 == 1)//  
      {
      Tiket=OrderSend (Symbol(),OP_BUY,Lot,Ask,0,Bid-SL*Point,0,"Lexx",123,0,Green);
      if (Tiket<0) Print("   : " + GetLastError());
      OrderSelect(Tiket, SELECT_BY_TICKET, MODE_TRADES);
      Print(" , : ", PrewTrend +" / "+ NowTrend , "   : ", OrderMagicNumber());
      }
      
      if (Move2 == 1)//  
      {
      Tiket=OrderSend (Symbol(),OP_SELL,Lot,Bid,0,Ask+SL*Point,0,"Lexx",456,0,Red);
      if (Tiket<0) Print("   : " + GetLastError());
      OrderSelect(Tiket, SELECT_BY_TICKET, MODE_TRADES);
      Print(" , : ", PrewTrend +" / "+ NowTrend ,"   : ", OrderMagicNumber());
      }
   }
      OrderSelect(Tiket, SELECT_BY_TICKET, MODE_TRADES);
      if (OrderMagicNumber()==123 && Move4==1)
      {
      Print ("   : ", OrderMagicNumber(),"  "+ PrewTrend +" , "+ NowTrend );
      OrderClose (OrderTicket(),OrderLots(),Bid,3,Violet);
      }
            
      if (OrderMagicNumber()==456 && Move3==1)
      {
      Print ("   : ", OrderMagicNumber() ,"  "+ PrewTrend +" , "+ NowTrend );
      OrderClose (OrderTicket(),OrderLots(),Ask,3,Violet);
      }
      
//----
   return(0);
   }
//+------------------------------------------------------------------+